Bug 208311 - www/owncloud - .user.ini and .htaccess should be writable
Summary: www/owncloud - .user.ini and .htaccess should be writable
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kevin Lo
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-03-26 19:22 UTC by joshruehlig
Modified: 2016-07-15 06:15 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (kevlo)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description joshruehlig 2016-03-26 19:22:27 UTC
ownCloud needs to be able to write to .user.ini to change the upload size if using PHP-FPM

ownCloud 9 appends to it's .htaccess upon installation (during lib/private/setup.php) if it sees the apcahe 'env' and 'rewrite' modules are available. This is needed to get "Pretty URLs" working properly.

I assume the fix should be something like, but I'm not exactly sure.
@(,,644) %%WWWDIR%%/.htaccess
@(,,644) %%WWWDIR%%/.user.ini
Comment 1 commit-hook freebsd_committer 2016-04-14 14:51:55 UTC
A commit references this bug:

Author: kevlo
Date: Thu Apr 14 14:51:12 UTC 2016
New revision: 413265
URL: https://svnweb.freebsd.org/changeset/ports/413265

Log:
  ownCloud needs to be able to write to .user.ini to change the upload size
  if using PHP-FPM.

  PR:	208311
  Submitted by:	Joshua Ruehlig <joshruehlig at gmail dot com>

Changes:
  head/www/owncloud/Makefile
  head/www/owncloud/pkg-plist
Comment 2 Kevin Lo freebsd_committer 2016-04-14 14:53:40 UTC
Committed, thanks.